/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Tue Dec 18 17:47:22 GMT 2001
    copyright            : (C) 2001 by George Wright
    email                : gwright@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>

#include "klatinsplash.h"
#include "klatin.h"

static const char *description =
	I18N_NOOP("KLatin");
// INSERT A DESCRIPTION FOR YOUR APPLICATION HERE
	
	
static KCmdLineOptions options[] =
{
  { 0, 0, 0 }
  // INSERT YOUR COMMANDLINE OPTIONS HERE
};

int main(int argc, char *argv[])
{

  KAboutData aboutData( "klatin", I18N_NOOP("KLatin"),
    VERSION, description, KAboutData::License_GPL,
    "(c) 2001, George Wright", 0, 0, "gwright@users.sourceforge.net");
  aboutData.addAuthor("George Wright",0, "gwright@users.sourceforge.net");
  KCmdLineArgs::init( argc, argv, &aboutData );
  KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

  KApplication a;
  KLatinSplash *klatinsplash = new KLatinSplash();
  a.setMainWidget(klatinsplash);
  klatinsplash->show();

  return a.exec();
}
